		Texture TargetMap;
		sampler2D smpSource = sampler_state { texture = <TargetMap>; };
		float4 vecViewPort; // contains viewport pixel size in zw components
		float4 vecSkill1;
		float4 BlackoutPS( float2 Tex : TEXCOORD0 ) : COLOR0 
		{
			float4 Color = tex2D(smpSource,Tex.xy-vecViewPort.zw);
			if(dot(Color,float3(0.299f,0.587f,0.114f))<(1-vecSkill1.x*0.03))
			{
				Color.rgb = 0;
			}
			return Color;
		}

		technique emboss { pass one { PixelShader = compile ps_2_0 BlackoutPS(); } }
		technique fallback { pass one { } }