	float4 vecViewPort;
	float4 vecSkill1;
	
	Texture TargetMap;
	Texture mtlSkin1;
	sampler2D smpSource = sampler_state{texture=<TargetMap>;};
	sampler2D firstScreen = sampler_state{texture=<mtlSkin1>;};
	
	float4 AddPS(	float2 Tex: TEXCOORD0):COLOR0
	{
		float4 Color = tex2D(firstScreen,Tex);
		Color += vecSkill1.x*tex2D(smpSource,Tex/2);
		return lerp(Color,(Color.r+Color.g+Color.b)/3,vecSkill1.z)*vecSkill1.y;
	}
	technique Blackout { pass one { PixelShader = compile ps_2_0 AddPS();}}
	technique fallback { pass one { } }