// Blur Shader : xXxGuitar511

float4 vecSkill1;
float4 vecSkill5;
texture mtlSkin1;
texture mtlSkin2;
texture mtlSkin3;
texture mtlSkin4;
float4 vecViewPort;

sampler mapIn1 = sampler_state
{
	texture = (mtlSkin1);
	MipFilter = linear;
};

sampler mapIn2 = sampler_state
{
	texture = (mtlSkin2);
	MipFilter = linear;
};

sampler mapIn3 = sampler_state
{
	texture = (mtlSkin3);
	MipFilter = linear;
};

sampler mapIn4 = sampler_state
{
	texture = (mtlSkin4);
	MipFilter = linear;
};


float4 main(float2 texCoord: TEXCOORD0) : COLOR
{  
	float4 colIn1 = tex2D(mapIn1, texCoord);	
	float4 colIn2 = tex2D(mapIn2, texCoord);
	float4 colIn2m = tex2D(mapIn2, texCoord - vecViewPort.zw*vecSkill1.x );
	float4 colIn2p = tex2D(mapIn2, texCoord + vecViewPort.zw*vecSkill1.x );
	float4 colIn2m2 = tex2D(mapIn2, texCoord - vecViewPort.zw*vecSkill1.x *2.);
	float4 colIn2p2 = tex2D(mapIn2, texCoord + vecViewPort.zw*vecSkill1.x *2.);
	
	float4 colIn3 = tex2D(mapIn3, texCoord);
	float4 colIn3m = tex2D(mapIn3, texCoord - vecViewPort.zw*vecSkill1.x );
	float4 colIn3p = tex2D(mapIn3, texCoord + vecViewPort.zw*vecSkill1.x );
	float4 colIn3m2 = tex2D(mapIn3, texCoord - vecViewPort.zw*vecSkill1.x *2.);
	float4 colIn3p2 = tex2D(mapIn3, texCoord + vecViewPort.zw*vecSkill1.x *2.);

	float4 colIn4 = tex2D(mapIn4, texCoord);
	float4 colIn4m = tex2D(mapIn4, texCoord - vecViewPort.zw*vecSkill1.x );
	float4 colIn4p = tex2D(mapIn4, texCoord + vecViewPort.zw*vecSkill1.x );
	float4 colIn4m2 = tex2D(mapIn4, texCoord - vecViewPort.zw*vecSkill1.x *2.);
	float4 colIn4p2 = tex2D(mapIn4, texCoord + vecViewPort.zw*vecSkill1.x *2.);
	
	float4 colOut;
	//
	//colOut = colbase;
	colOut = colIn1+colIn2*vecSkill1.y+colIn3*vecSkill1.y*0.5+colIn4*vecSkill1.y*0.25;	
	colOut += vecSkill1.y*0.1658*vecSkill1.x*((colIn2m+colIn2p)+(colIn3m+colIn3p)+(colIn4m+colIn4p));
	colOut += vecSkill1.y*0.1403*vecSkill1.x*((colIn2m2+colIn2p2)+(colIn3m2+colIn3p2)+(colIn4m2+colIn4p2));
	
	colOut.a = 1;
	return (colOut/(1.+vecSkill1.y*1.75+0.1658*6*vecSkill1.x*vecSkill1.y+0.1403*6*vecSkill1.x*vecSkill1.y));//colOut;
}

technique Blur
{
	pass p1
	{
		VertexShader = null;
		PixelShader = compile ps_3_0 main();
	}
}