		float4 vecViewPort;
		float4 vecSkill1;
		static int blurRadius = 5;//number of px

		Texture TargetMap;
		sampler2D smpSource = sampler_state{texture=<TargetMap>;};

		float4 BlurHPS(	float2 Tex:	TEXCOORD0):COLOR0
		{ Tex*= 2;
			float4 Color = tex2D(smpSource,Tex.xy-vecViewPort.zw);
			float2 tempTex;
			tempTex.y = Tex.y;
			for(int i=-blurRadius;i<=blurRadius;i++)
			{
				tempTex.x = Tex.x+i*vecSkill1.x/100;
				Color += tex2D(smpSource,tempTex.xy-vecViewPort.zw);
			}
			return Color/(blurRadius*2+1);
		}
		
		technique Blackout { pass one { PixelShader = compile ps_2_0 BlurHPS();}}
		technique fallback { pass one { } }