Texture TargetMap;
float4 vecSkill1;
sampler2D g_samSrcColor = sampler_state { texture = <TargetMap>; MipFilter = Linear;	};

float4 postprocessing_negative( float2 Tex : TEXCOORD0 ) : COLOR0 
{
   float4 Color = tex2D( g_samSrcColor, Tex.xy);   
   float3 nColor = 1. - Color.rgb*(vecSkill1.xyz);
   return float4(lerp(Color.rgb,nColor.rgb,vecSkill1.w/3),Color.w);
}

technique PostProcess 
{
	pass p1 
	{
		AlphaBlendEnable = false;
		VertexShader = null;
		PixelShader = compile ps_2_0 postprocessing_negative();
	}
}